<?php // Do not delete these lines
	if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

        if (!empty($post->post_password)) { // if there's a password
            if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
				?>
				
				<p class="nocomments"><?php _e('This article is password-protected. Please enter the password to view the comments.','yy_minimalismus'); ?><p>
				
				<?php
				return;
            }
        }

		/* This variable is for an other comment background for the admin */
		$oddcomment = '';
?>

<!-- You can start editing here. -->

<?php

$commentdata = array();
foreach ($comments as $comment) {
    if (get_comment_type() == 'comment') {
    	$commentdata['comments'][] = $comment;
    } else {
        $commentdata['trackbacks'][] = $comment;
    }
}

$count_comments   = count($commentdata['comments']);
$count_trackbacks = count($commentdata['trackbacks']);

?>

<?php if ($comments) : ?>

<h3> 
<?php

if ($count_comments == 0) {
    $count_comments = __('No comments','yy_minimalismus');
} elseif ($count_comments == 1) {
    $count_comments = __('1 comment','yy_minimalismus');
} else {
    $count_comments = $count_comments . __(' comments','yy_minimalismus');
}

echo $count_comments;

?>
</h3>

	<ol class="commentlist">

    <?php $count = 0; foreach ($comments as $comment) : if (get_comment_type() == "comment") : $count++; ?>
		
		<li class="<?php
			/* Only use the authcomment class from style.css if the user_id is 1 (admin) */
			if (1 == $comment->user_id)
			$oddcomment = "authcomment";
			echo $oddcomment;
			?>" id="comment-<?php comment_ID() ?>">

		<a href="<?php comment_author_url(); ?>">
			<?php echo get_avatar( $comment, 44 );?>
		</a>

			<cite><?php comment_author_link() ?></cite>
			<?php if ($comment->comment_approved == '0') : ?>
			<em><?php _e('Your comment is waiting for moderation.','yy_minimalismus'); ?></em>
			<?php endif; ?>
			<br />

			<small class="commentmetadata"><a href="#comment-<?php comment_ID() ?>" title=""><?php comment_date('j. F Y') ?> - <?php comment_time() ?></a><?php edit_comment_link(__(' - edit comment','yy_minimalismus'),'',''); ?></small>

			<?php comment_text() ?>

		</li>

    <?php endif; endforeach; /* end for each comment */ ?>

	</ol>

<h3> 
<?php

if ($count_trackbacks == 0) {
    $count_trackbacks = __('No trackbacks/pingbacks','yy_minimalismus');
} elseif ($count_trackbacks == 1) {
    $count_trackbacks = __('1 trackback/pingback','yy_minimalismus');
} else {
    $count_trackbacks = $count_trackbacks . __(' trackbacks/pingbacks','yy_minimalismus');
}

echo $count_trackbacks;

?>
</h3>

    <ol class="commentlist">

    <?php foreach ($comments as $comment) : if ((get_comment_type() == "trackback") || (get_comment_type() == "pingback")) : $count++?>

        <li id="comment-<?php comment_ID() ?>" class="<?php echo $oddcomment; ?>">
            <small>
            	<?php comment_type(__('comment','yy_minimalismus'), __('trackback','yy_minimalismus'), __('pingback','yy_minimalismus')); ?> <?php _e('by','yy_minimalismus'); ?> <?php comment_author_link() ?>
            </small>
            <br />
            <small class="commentmetadata"><?php comment_date('l, j. F Y') ?> - <?php comment_time('H:i') ?> <?php edit_comment_link('&middot; edit','',''); ?></small>

        </li>

    <?php /* Changes every other comment to a different class */
        if ('alt' == $oddcomment) $oddcomment = '';
        else $oddcomment = 'alt';
    ?>

    <?php endif; endforeach; /* end for each comment */ ?>
    </ol>

 <?php else : // this is displayed if there are no comments so far ?>

  <?php if ('open' == $post-> comment_status) : ?> 
		<!-- If comments are open, but there are no comments. -->
		
	 <?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		<p class="nocomments"><?php _e('Comments are closed.','yy_minimalismus'); ?></p>
		
	<?php endif; ?>
<?php endif; ?>


<?php if ('open' == $post-> comment_status) : ?>

<h3 id="respond"><?php _e('Leave a comment','yy_minimalismus'); ?></h3>

<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
<p><?php _e('Sie m&uuml;ssen','yy_minimalismus'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>"><?php _e('angemeldet sein','yy_minimalismus'); ?></a>, <?php _e('um einen Kommentar zu schreiben.','yy_minimalismus'); ?></p>
<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

<?php if ( $user_ID ) : ?>

<p><?php _e('Logged in as','yy_minimalismus'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="<?php _e('Log out &raquo;','yy_minimalismus') ?>"><?php _e('Log out &raquo;','yy_minimalismus'); ?></a></p>

<?php else : ?>

<p><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" />
<label for="author"><small><?php _e('Name','yy_minimalismus'); ?> <?php if ($req) _e('(required)','yy_minimalismus'); ?></small></label></p>

<p><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" />
<label for="email"><small><?php _e('E-mail (will not be published)','yy_minimalismus'); ?> <?php if ($req) _e('(required)','yy_minimalismus'); ?></small></label></p>

<p><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
<label for="url"><small><?php _e('Website','yy_minimalismus'); ?></small></label></p>

<?php endif; ?>

<p>
	<small>
		<?php _e('You can use the following tags:','yy_minimalismus'); ?> <?php echo allowed_tags(); ?>
	</small>
</p>

<p><textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4"></textarea></p>

<p><input name="submit" type="submit" id="submit" tabindex="5" value=<?php _e('Submit comment','yy_minimalismus'); ?> />
<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
</p>
<?php do_action('comment_form', $post->ID); ?>

</form>

<?php endif; // If registration required and not logged in ?>

<?php endif; // if you delete this the sky will fall on your head ?>