<?php get_header(); ?>

	<div id="content" class="narrowcolumn">

	<?php if (have_posts()) : ?>

		<h2 class="pagetitle"><?php _e('Suchergebnisse (Zusammenfassungen)','yy_minimalismus'); ?></h2>
		
		<div class="navigation">
			<div class="alignleft"><?php next_posts_link(__('&laquo; Older entries','yy_minimalismus'),0); ?></div>
			<div class="alignright"><?php previous_posts_link(__('Newer entries &raquo;','yy_minimalismus'),0) ?></div>
		</div>


		<?php while (have_posts()) : the_post(); ?>
				
			<div class="post">
				<h3 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h3>
				<small><?php the_time('l, F jS, Y') ?></small>
				
				<div class="entry">
					<?php the_excerpt() ?>
				</div>
		
				<p class="postmetadata">Posted in <?php the_category(', ') ?> <strong>|</strong> <?php edit_post_link('Edit','','<strong>|</strong>'); ?> <?php comments_popup_link(__('No comments &#187;','yy_minimalismus'), __('1 comment &#187;','yy_minimalismus'), __('% comments &#187;','yy_minimalismus')); ?><br/><?php the_tags(__('Tags: ','yy_minimalismus'),', '); ?></p>
				
				<!--
				<?php trackback_rdf(); ?>
				-->
			</div>
	
		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link(__('&laquo; Older entries','yy_minimalismus'),0); ?></div>
			<div class="alignright"><?php previous_posts_link(__('Newer entries &raquo;','yy_minimalismus'),0) ?></div>
		</div>
	
	<?php else : ?>

		<h2 class="center"><?php _e('Not found!','yy_minimalismus'); ?></h2>
<table border="0" width="300" align="center">
<tbody>
<tr align="center" valign="left" border="0">
<td>
&nbsp;<br>
Ob der Suchbegriff richtig ist?<br>
Vielleicht versuchen Sie es noch einmal?
</td>
</tr>
</tbody>
</table>

		

	<?php endif; ?>
		
	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>