<?php get_header(); ?>

	<div id="content" class="narrowcolumn">
	
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			
			<div class="post">
			
				<h2 id="post-<?php the_ID(); ?>"><a href="<?php echo get_permalink() ?>" rel="bookmark" title="<?php _e('Permanent link to','yy_minimalismus'); ?> <?php the_title(); ?>"><?php the_title(); ?></a></h2>

				<p class="datetime">
					<?php the_time('l, j. F Y') ?> - <?php the_time() ?><?php edit_post_link(__('Edit','yy_minimalismus'),' <strong>|</strong> ',''); ?>
				</p> 

				<div class="entry">
					
					<?php the_content(__('<p class="serif">Read the rest &raquo;',yy_minimalismus)); ?>
	
					<?php link_pages(__('<p><strong>Pages:</strong> ',yy_minimalismus), '</p>', 'number'); ?>
	
				</div>

				<p class="postmetadata">
					<?php _e('Categories:','yy_minimalismus'); ?> <?php the_category(', '); ?><br />
					<?php the_tags(__('Tags: ','yy_minimalismus'),', '); ?>
				</p> 

			</div>
<!--
-->
			<div class="navigation">
				<div class="alignleft"><?php previous_post('&laquo; %','','yes') ?></div>
				<div class="alignright"><?php next_post(' % &raquo;','','yes') ?></div>
			</div><br />
<!--
-->
	
			<?php wp_link_pages(); ?>

			<?php comments_template(); ?>
	
			<!--
				<?php trackback_rdf(); ?>
			-->


		<?php endwhile; else: ?>
	
			<p class="center"><?php _e('The content, which you are looking for, does (no longer) exist.','yy_minimalismus'); ?></p>
	
		<?php endif; ?>
	
	</div>
	
<?php get_sidebar(); ?>

<?php get_footer(); ?>